gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[GNUnet-SVN] [taler-deployment] branch master updated: polishing auditor


From: gnunet
Subject: [GNUnet-SVN] [taler-deployment] branch master updated: polishing auditor signing script + fix auditor url
Date: Tue, 06 Jun 2017 10:19:07 +0200

This is an automated email from the git hooks/post-receive script.

marcello pushed a commit to branch master
in repository deployment.

The following commit(s) were added to refs/heads/master by this push:
     new 68d2672  polishing auditor signing script + fix auditor url
68d2672 is described below

commit 68d26724dbd0a25cd3ee8d4dc300a17514637c59
Author: Marcello Stanisci <address@hidden>
AuthorDate: Tue Jun 6 10:18:50 2017 +0200

    polishing auditor signing script + fix auditor url
---
 bin/taler-deployment-keyup | 17 ++++++++++++-----
 1 file changed, 12 insertions(+), 5 deletions(-)

diff --git a/bin/taler-deployment-keyup b/bin/taler-deployment-keyup
index 4eb2b89..3b2f8d3 100755
--- a/bin/taler-deployment-keyup
+++ b/bin/taler-deployment-keyup
@@ -2,18 +2,25 @@
 
 set -eu
 
+if test -z $TALER_CONFIG_ENV; then
+  echo Please run 'source ~/activate' beforehand.
+  exit 1
+fi
+
 auditor_request_dir=${HOME}/shared-data/exchange/auditor-request/
 mkdir -p $auditor_request_dir
 taler-exchange-keyup \
   -m ${HOME}/shared-data/exchange/offline-keys/master.priv \
   -o $auditor_request_dir/auditor_request
 
-auditor_base_dir=$(taler-config -s exchangedb -o auditor_base_dir -f)
-exchange_master_pub=$(taler-config -s exchange -o master_public_key)
-auditor_sig_output_file=$(date "+%s%N")
-taler-auditor-sign -u https://auditor.taler.net/ -m $exchange_master_pub -r 
$auditor_request_dir/auditor_request -o 
"$auditor_base_dir/$auditor_sig_output_file"
+taler-auditor-sign \
+  -u $TALER_ENV_URL_AUDITOR \
+  -m $(taler-config -s exchange -o master_public_key) \
+  -r "$auditor_request_dir/auditor_request" \
+  -o "$(taler-config -s exchangedb -o auditor_base_dir -f)/$(date +%s%N)"
+
 if [[ 0 != $? ]]; then
   echo Auditor signing not accomplished.
 fi
 
-chmod -fR g+rw ~/shared-data
+chmod -fR g+rw ${HOME}/shared-data

-- 
To stop receiving notification emails like this one, please contact
address@hidden



reply via email to

[Prev in Thread] Current Thread [Next in Thread]